/* Sample code for DIS-03083 and DIS03084 128*64 Mono LCD*/

#include <Arduino.h>
#include <U8g2lib.h>



//Uncomment below if you're using
//Arduino Uno / Mega / Nano / Pro or Pro min
//U8G2_ST7920_128X64_F_SW_SPI u8g2(U8G2_R0, /* clock=*/ 13, /* data=*/ 11, /* CS=*/ 12, /* reset=*/ 8);

//Uncomment if you're using ESP32
U8G2_ST7920_128X64_F_SW_SPI u8g2(U8G2_R0, /* clock=*/ 18, /* data=*/ 23, /* cs=*/ 2, /* reset=*/ 4);

void setup() {

  u8g2.begin();
  u8g2.setFont(u8g_font_8x13);
  u8g2.setColorIndex(1);                   // Instructs the display to draw with a pixel on.
}

void loop() {
  u8g2.firstPage();
  do {
    draw();
  } while ( u8g2.nextPage() );
}

void draw() {
  u8g2.drawFrame(0, 0, 128, 31);         // upper frame
  u8g2.drawFrame(0, 33, 128, 31);        // lower frame

  u8g2.drawStr(15, 13, "Temperature");       // do this for temperature
  u8g2.drawStr(33, 27, "27.5");
  u8g2.drawStr(70, 27, "*C");

  u8g2.drawStr(26, 45, "Humidity");            // do this for humidity

  u8g2.drawStr(40, 60, "92.1");
  u8g2.drawStr(75, 60, "%");
}
